aboutsummaryrefslogtreecommitdiff
path: root/release
diff options
context:
space:
mode:
authorRenato Golin <rengolin@gmail.com>2016-04-26 11:02:23 +0100
committerRenato Golin <rengolin@gmail.com>2016-04-26 11:02:23 +0100
commit94cc104f044261f74fbff3ff587855df1a05f64d (patch)
tree7c6664fdf7e7fab54fea926b1fc6196a09b6540f /release
downloadlinaro-scripts-94cc104f044261f74fbff3ff587855df1a05f64d.tar.gz
Initial Commit, moving from dev-private and removing private stuff
Diffstat (limited to 'release')
-rw-r--r--release/README.txt19
-rwxr-xr-xrelease/run.sh36
2 files changed, 55 insertions, 0 deletions
diff --git a/release/README.txt b/release/README.txt
new file mode 100644
index 0000000..1bf265e
--- /dev/null
+++ b/release/README.txt
@@ -0,0 +1,19 @@
+LLVM Release Wrapper Script
+===========================
+
+The LLVM release is done using the test-release.sh script available on LLVM's
+sources, directory utils/release. But the options may change, and to keep track
+of how we release LLVM for ARM and AArch64, I wrote a simple script that
+remembers what were the options.
+
+This allows one to quickly setup a machine to produce a release, which can be
+used for testing, validation, or replacement of a broken release machine. But
+also keeps track of how we released LLVM throughout the years, beginning with
+release 3.7.0.
+
+Usage is simple. With test-release.sh on the same directory, just call:
+
+$ nohup ./run 3.N.M RC &
+
+With N as major version, M as minor and RC as release candidate, which is
+normally 1, 2, 3, final.
diff --git a/release/run.sh b/release/run.sh
new file mode 100755
index 0000000..5672fa1
--- /dev/null
+++ b/release/run.sh
@@ -0,0 +1,36 @@
+#!/usr/bin/env bash
+
+syntax="Syntax: $0 REL RC"
+
+if [[ $1 = '' ]]; then
+ echo $syntax
+ exit 1
+fi
+REL=$1
+shift
+if [[ $1 = 'final' ]]; then
+ RC="-final"
+else if [[ $1 != '' ]]; then
+ RC="-rc $1"
+else
+ echo "Syntax: $0 REL RC"
+ exit 1
+fi fi
+
+aarch64="`egrep '(AArch64|asimd)' /proc/cpuinfo`"
+armv7="`grep ARMv7 /proc/cpuinfo`"
+intel="`grep Intel /proc/cpuinfo`"
+
+if [[ $aarch64 = '' && $armv7 = '' && $intel = '' ]]; then
+ echo "This is neither of ARMv7, AArch64, Intel"
+ exit 1
+fi
+triple=armv7a-linux-gnueabihf
+if [[ $aarch64 != '' ]]; then
+ triple=aarch64-linux-gnu
+fi
+if [[ $intel != '' ]]; then
+ triple=x86_64-linux-gnu
+fi
+
+./test-release.sh -release $REL $RC -triple $triple -j8 -no-libs -no-test-suite